<!-- MODULE Block Manufacturer -->
{if isset($blockId)}
    {assign var=path value="$tpl_dir./includes/block_for_layout_position_{$blockId}.tpl" scope="parent"}
    {if file_exists($path)}
        {include file=$path id="manufacturers_block_left" class="blockmanufacturer" assign=blockVars}

        {$smarty.capture.blockHead}
            {$smarty.capture.blockHeaderHead}
                {l s='Manufacturers' mod='blockmanufacturer'}
            {$smarty.capture.blockHeaderTail}
            {$smarty.capture.blockContentHead}
                {if $manufacturers}
                    {if $text_list}
                    <ul class="bullet">
                    {foreach from=$manufacturers item=manufacturer name=manufacturer_list}
                        {if $smarty.foreach.manufacturer_list.iteration <= $text_list_nb}
                        <li class="{if $smarty.foreach.manufacturer_list.last}last_item{elseif $smarty.foreach.manufacturer_list.first}first_item{else}item{/if}"><a href="{$link->getmanufacturerLink($manufacturer.id_manufacturer, $manufacturer.link_rewrite)}" title="{l s='More about' mod='blockmanufacturer'} {$manufacturer.name}">{$manufacturer.name|escape:'htmlall':'UTF-8'}</a></li>
                        {/if}
                    {/foreach}
                    </ul>
                    {/if}
                    {if $form_list}
                        <form action="{$smarty.server.SCRIPT_NAME|escape:'htmlall':'UTF-8'}" method="get">
                            <p>
                                <select id="manufacturer_list" onchange="autoUrl('manufacturer_list', '');">
                                    <option value="0">{l s='All manufacturers' mod='blockmanufacturer'}</option>
                                {foreach from=$manufacturers item=manufacturer}
                                    <option value="{$link->getmanufacturerLink($manufacturer.id_manufacturer, $manufacturer.link_rewrite)}">{$manufacturer.name|escape:'htmlall':'UTF-8'}</option>
                                {/foreach}
                                </select>
                            </p>
                        </form>
                    {/if}
                {else}
                    <p>{l s='No manufacturer' mod='blockmanufacturer'}</p>
                {/if}
            {$smarty.capture.blockContentTail}
        {$smarty.capture.blockTail}
    {/if}
{/if}
<!-- /MODULE Block Manufacturer -->