{include file="$tpl_dir./breadcrumb.tpl"}

{include file="$tpl_dir./errors.tpl"}

{if !isset($errors) OR !sizeof($errors)}
    {capture name=title}
        {l s='List of products by manufacturer'}&nbsp;{$manufacturer->name|escape:'htmlall':'UTF-8'}
    {/capture}
    {capture name=description}
        {if !empty($manufacturer->description) || !empty($manufacturer->short_description)}
            <div class="description_box">
                {if !empty($manufacturer->short_description)}
                    <p>{$manufacturer->short_description}</p>
                    <p class="hide_desc">{$manufacturer->description}</p>
                    <a href="#" class="lnk_more" onclick="$(this).prev().slideDown('slow'); $(this).hide(); return false;">{l s='More'}</a>
                {else}
                    <p>{$manufacturer->description}</p>
                {/if}
            </div>
        {/if}
    {/capture}

    {if $products}
        {include file="$tpl_dir./product-grid.tpl" products=$products categoryTitle=$smarty.capture.title categoryDescription=$smarty.capture.description}
    {else}
        {$smarty.capture.title}
        {capture name=warning}{l s='No products for this manufacturer.'}{/capture}
        {include file="$tpl_dir./warning.tpl" warning=$smarty.capture.warning}
    {/if}
{/if}